#include "options.h"
#include <QApplication>
#include <QTime>
#include <QString>
#include <QObject>

Options::Options(QString const& joueur1, QString const& joueur2, QTime const& temps, bool son, QObject *parent) :
    QObject(parent),
    m_tempsDepart(temps),
    m_nomJoueur1 (joueur1),
    m_nomJoueur2 (joueur2),
    m_son (son)
{
}

Options::~Options ()
{

}

void Options::setNomJoueur1(QString const& joueur) {
    m_nomJoueur1 = joueur;
}

void Options::setNomJoueur2(QString const& joueur) {
    m_nomJoueur2 = joueur;
}

void Options::setTempsDepart(QTime const& temps) {
    m_tempsDepart = temps;
}

void Options::setSon (bool son) {
    m_son = son;
}

QString Options::nomJoueur1() const {
    return m_nomJoueur1;
}

QString Options::nomJoueur2() const {
    return m_nomJoueur2;
}

QTime Options::tempsDepart() const {
    return m_tempsDepart;
}

bool Options::son() const {
    return m_son;
}
