#ifndef OPTIONS_H
#define OPTIONS_H

#include <QApplication>
#include <QTime>

class QString;

class Options : public QObject
{

public:
    explicit Options (QString const& joueur1, QString const& joueur2, QTime const& time, bool son = true, QObject *parent = nullptr);
    virtual ~Options();
    void setTempsDepart (QTime const& temps);
    void setNomJoueur1 (QString const& joueur);
    void setNomJoueur2 (QString const& joueur);
    void setSon (bool son);
    QString nomJoueur1 () const;
    QString nomJoueur2 () const;
    QTime tempsDepart () const;
    bool son () const;

public slots:

signals:

private:
    QTime   m_tempsDepart;
    QString m_nomJoueur1;
    QString m_nomJoueur2;
    bool    m_son;

};

#endif // OPTIONS_H
